package com.yscjp.webtools.robot;

import java.awt.event.KeyEvent;


public class KeyChar {

    private static final KeyChar[] KEY_CODE = {

        null,// new KeyChar(KeyEvent.VK_, false),                   // NUL 0x00
        null,// new KeyChar(KeyEvent.VK_, false),                   // SOH 0x01
        null,// new KeyChar(KeyEvent.VK_, false),                   // STX 0x02
        null,// new KeyChar(KeyEvent.VK_, false),                   // ETX 0x03
        null,// new KeyChar(KeyEvent.VK_, false),                   // EOT 0x04
        null,// new KeyChar(KeyEvent.VK_, false),                   // ENQ 0x05
        null,// new KeyChar(KeyEvent.VK_, false),                   // ACK 0x06
        null,// new KeyChar(KeyEvent.VK_, false),                   // BEL 0x07
        null,// new KeyChar(KeyEvent.VK_, false),                   // BS  0x08
        null,// new KeyChar(KeyEvent.VK_, false),                   // HT  0x09
        null,// new KeyChar(KeyEvent.VK_, false),                   // NL  0x0a
        null,// new KeyChar(KeyEvent.VK_, false),                   // VT  0x0b
        null,// new KeyChar(KeyEvent.VK_, false),                   // NP  0x0c
        null,// new KeyChar(KeyEvent.VK_, false),                   // CR  0x0d
        null,// new KeyChar(KeyEvent.VK_, false),                   // SO  0x0e
        null,// new KeyChar(KeyEvent.VK_, false),                   // SI  0x0f
        null,// new KeyChar(KeyEvent.VK_, false),                   // DLE 0x10
        null,// new KeyChar(KeyEvent.VK_, false),                   // DC1 0x11
        null,// new KeyChar(KeyEvent.VK_, false),                   // DC2 0x12
        null,// new KeyChar(KeyEvent.VK_, false),                   // DC3 0x13
        null,// new KeyChar(KeyEvent.VK_, false),                   // DC4 0x14
        null,// new KeyChar(KeyEvent.VK_, false),                   // NAK 0x15
        null,// new KeyChar(KeyEvent.VK_, false),                   // SYN 0x16
        null,// new KeyChar(KeyEvent.VK_, false),                   // ETB 0x17
        null,// new KeyChar(KeyEvent.VK_, false),                   // CAN 0x18
        null,// new KeyChar(KeyEvent.VK_, false),                   // EM  0x19
        null,// new KeyChar(KeyEvent.VK_, false),                   // SUB 0x1a
        null,// new KeyChar(KeyEvent.VK_, false),                   // ESC 0x1b
        null,// new KeyChar(KeyEvent.VK_, false),                   // FS  0x1c
        null,// new KeyChar(KeyEvent.VK_, false),                   // GS  0x1d
        null,// new KeyChar(KeyEvent.VK_, false),                   // RS  0x1e
        null,// new KeyChar(KeyEvent.VK_, false),                   // US  0x1f
        new KeyChar(KeyEvent.VK_SPACE, false),              // SP  0x20
//        new KeyChar(KeyEvent.VK_EXCLAMATION_MARK, true),    // !   0x21
//        new KeyChar(KeyEvent.VK_QUOTEDBL, true),            // "   0x22
//        new KeyChar(KeyEvent.VK_NUMBER_SIGN, true),         // #   0x23
//        new KeyChar(KeyEvent.VK_DOLLAR, true),              // $   0x24
//        new KeyChar(KeyEvent.VK_5, true),                   // %   0x25
//        new KeyChar(KeyEvent.VK_AMPERSAND, true),           // &   0x26
//        new KeyChar(KeyEvent.VK_QUOTE, true),               // '   0x27
//        new KeyChar(KeyEvent.VK_LEFT_PARENTHESIS, true),    // (   0x28
//        new KeyChar(KeyEvent.VK_RIGHT_PARENTHESIS, true),   // )   0x29
        new KeyChar(KeyEvent.VK_1, true),                   // !   0x21
        new KeyChar(KeyEvent.VK_2, true),                   // "   0x22
        new KeyChar(KeyEvent.VK_3, true),                   // #   0x23
        new KeyChar(KeyEvent.VK_4, true),                   // $   0x24
        new KeyChar(KeyEvent.VK_5, true),                   // %   0x25
        new KeyChar(KeyEvent.VK_6, true),                   // &   0x26
        new KeyChar(KeyEvent.VK_7, true),                   // '   0x27
        new KeyChar(KeyEvent.VK_8, true),                   // (   0x28
        new KeyChar(KeyEvent.VK_9, true),                   // )   0x29
//        new KeyChar(KeyEvent.VK_ASTERISK, true),            // *   0x2a
        new KeyChar(KeyEvent.VK_COLON, true),            // *   0x2a
//        new KeyChar(KeyEvent.VK_PLUS, true),                // +   0x2b
        new KeyChar(KeyEvent.VK_SEMICOLON, true),                // +   0x2b
        new KeyChar(KeyEvent.VK_COMMA, false),              // ,   0x2c
        new KeyChar(KeyEvent.VK_MINUS, false),              // -   0x2d
        new KeyChar(KeyEvent.VK_PERIOD, false),             // .   0x2e
        new KeyChar(KeyEvent.VK_SLASH, false),              // /   0x2f
        new KeyChar(KeyEvent.VK_0, false),                  // 0   0x30
        new KeyChar(KeyEvent.VK_1, false),                  // 1   0x31
        new KeyChar(KeyEvent.VK_2, false),                  // 2   0x32
        new KeyChar(KeyEvent.VK_3, false),                  // 3   0x33
        new KeyChar(KeyEvent.VK_4, false),                  // 4   0x34
        new KeyChar(KeyEvent.VK_5, false),                  // 5   0x35
        new KeyChar(KeyEvent.VK_6, false),                  // 6   0x36
        new KeyChar(KeyEvent.VK_7, false),                  // 7   0x37
        new KeyChar(KeyEvent.VK_8, false),                  // 8   0x38
        new KeyChar(KeyEvent.VK_9, false),                  // 9   0x39
        new KeyChar(KeyEvent.VK_COLON, false),              // :   0x3a
        new KeyChar(KeyEvent.VK_SEMICOLON, false),          // ;   0x3b
//        new KeyChar(KeyEvent.VK_LESS, true),                // <   0x3c
        new KeyChar(KeyEvent.VK_COMMA, true),                // <   0x3c
        new KeyChar(KeyEvent.VK_MINUS, true),              // =   0x3d
//        new KeyChar(KeyEvent.VK_EQUALS, true),              // =   0x3d
//        new KeyChar(KeyEvent.VK_GREATER, true),             // >   0x3e
        new KeyChar(KeyEvent.VK_PERIOD, true),             // >   0x3e
        new KeyChar(KeyEvent.VK_SLASH, true),               // ?   0x3f
        new KeyChar(KeyEvent.VK_AT, false),                 // @   0x40
        new KeyChar(KeyEvent.VK_A, true),                   // A   0x41
        new KeyChar(KeyEvent.VK_B, true),                   // B   0x42
        new KeyChar(KeyEvent.VK_C, true),                   // C   0x43
        new KeyChar(KeyEvent.VK_D, true),                   // D   0x44
        new KeyChar(KeyEvent.VK_E, true),                   // E   0x45
        new KeyChar(KeyEvent.VK_F, true),                   // F   0x46
        new KeyChar(KeyEvent.VK_G, true),                   // G   0x47
        new KeyChar(KeyEvent.VK_H, true),                   // H   0x48
        new KeyChar(KeyEvent.VK_I, true),                   // I   0x49
        new KeyChar(KeyEvent.VK_J, true),                   // J   0x4a
        new KeyChar(KeyEvent.VK_K, true),                   // K   0x4b
        new KeyChar(KeyEvent.VK_L, true),                   // L   0x4c
        new KeyChar(KeyEvent.VK_M, true),                   // M   0x4d
        new KeyChar(KeyEvent.VK_N, true),                   // N   0x4e
        new KeyChar(KeyEvent.VK_O, true),                   // O   0x4f
        new KeyChar(KeyEvent.VK_P, true),                   // P   0x50
        new KeyChar(KeyEvent.VK_Q, true),                   // Q   0x51
        new KeyChar(KeyEvent.VK_R, true),                   // R   0x52
        new KeyChar(KeyEvent.VK_S, true),                   // S   0x53
        new KeyChar(KeyEvent.VK_T, true),                   // T   0x54
        new KeyChar(KeyEvent.VK_U, true),                   // U   0x55
        new KeyChar(KeyEvent.VK_V, true),                   // V   0x56
        new KeyChar(KeyEvent.VK_W, true),                   // W   0x57
        new KeyChar(KeyEvent.VK_X, true),                   // X   0x58
        new KeyChar(KeyEvent.VK_Y, true),                   // Y   0x59
        new KeyChar(KeyEvent.VK_Z, true),                   // Z   0x5a
        new KeyChar(KeyEvent.VK_OPEN_BRACKET, false),       // [   0x5b
        new KeyChar(KeyEvent.VK_BACK_SLASH, false),         // \   0x5c
        new KeyChar(KeyEvent.VK_CLOSE_BRACKET, false),      // ]   0x5d
        new KeyChar(KeyEvent.VK_CIRCUMFLEX, false),         // ^   0x5e
//        new KeyChar(KeyEvent.VK_UNDERSCORE, false),         // _   0x5f
        new KeyChar(KeyEvent.VK_BACK_SLASH, true),         // _   0x5f
        new KeyChar(KeyEvent.VK_AT, true),          // `   0x60
//        new KeyChar(KeyEvent.VK_BACK_QUOTE, true),          // `   0x60
        new KeyChar(KeyEvent.VK_A, false),                  // a   0x61
        new KeyChar(KeyEvent.VK_B, false),                  // b   0x62
        new KeyChar(KeyEvent.VK_C, false),                  // c   0x63
        new KeyChar(KeyEvent.VK_D, false),                  // d   0x64
        new KeyChar(KeyEvent.VK_E, false),                  // e   0x65
        new KeyChar(KeyEvent.VK_F, false),                  // f   0x66
        new KeyChar(KeyEvent.VK_G, false),                  // g   0x67
        new KeyChar(KeyEvent.VK_H, false),                  // h   0x68
        new KeyChar(KeyEvent.VK_I, false),                  // i   0x69
        new KeyChar(KeyEvent.VK_J, false),                  // j   0x6a
        new KeyChar(KeyEvent.VK_K, false),                  // k   0x6b
        new KeyChar(KeyEvent.VK_L, false),                  // l   0x6c
        new KeyChar(KeyEvent.VK_M, false),                  // m   0x6d
        new KeyChar(KeyEvent.VK_N, false),                  // n   0x6e
        new KeyChar(KeyEvent.VK_O, false),                  // o   0x6f
        new KeyChar(KeyEvent.VK_P, false),                  // p   0x70
        new KeyChar(KeyEvent.VK_Q, false),                  // q   0x71
        new KeyChar(KeyEvent.VK_R, false),                  // r   0x72
        new KeyChar(KeyEvent.VK_S, false),                  // s   0x73
        new KeyChar(KeyEvent.VK_T, false),                  // t   0x74
        new KeyChar(KeyEvent.VK_U, false),                  // u   0x75
        new KeyChar(KeyEvent.VK_V, false),                  // v   0x76
        new KeyChar(KeyEvent.VK_W, false),                  // w   0x77
        new KeyChar(KeyEvent.VK_X, false),                  // x   0x78
        new KeyChar(KeyEvent.VK_Y, false),                  // y   0x79
        new KeyChar(KeyEvent.VK_Z, false),                  // z   0x7a
//        new KeyChar(KeyEvent.VK_BRACERIGHT, true),          // {   0x7b
        new KeyChar(KeyEvent.VK_OPEN_BRACKET, true),          // {   0x7b
        new KeyChar(KeyEvent.VK_BACK_SLASH, true),              // |   0x7c
//        new KeyChar(KeyEvent.VK_DIVIDE, true),              // |   0x7c
//        new KeyChar(KeyEvent.VK_BRACELEFT, true),           // }   0x7d
        new KeyChar(KeyEvent.VK_CLOSE_BRACKET, true),           // }   0x7d
        new KeyChar(KeyEvent.VK_CIRCUMFLEX, true),          // ~   0x7e
//        new KeyChar(KeyEvent.VK_DEAD_TILDE, true),          // ~   0x7e
        null//new KeyChar(KeyEvent.VK_, false)                    // DEL 0x7f
    };

    public static KeyChar getKeyChar(char c) {

        if (0x7f < c) {

            return null;
        }

        return KEY_CODE[c];
    }

    private int keyCode;
    private boolean isShift;
    public KeyChar(int keyCode, boolean isShift) {

        this.keyCode = keyCode;
        this.isShift = isShift;
    }

    public int getKeyCode() {

        return keyCode;
    }

    public boolean isShift() {

        return isShift;
    }

}
