package com.yscjp.webtools.robot;

import java.awt.event.KeyEvent;

public enum VK {

    VK_0(KeyEvent.VK_0), // VK_0 〜 VK_9 は、ASCII 文字の「0」〜「9」 (0x30 - 0x39) に相当します。
    VK_1(KeyEvent.VK_1), //
    VK_2(KeyEvent.VK_2), //
    VK_3(KeyEvent.VK_3), //
    VK_4(KeyEvent.VK_4), //
    VK_5(KeyEvent.VK_5), //
    VK_6(KeyEvent.VK_6), //
    VK_7(KeyEvent.VK_7), //
    VK_8(KeyEvent.VK_8), //
    VK_9(KeyEvent.VK_9), //
    VK_A(KeyEvent.VK_A), // VK_A 〜 VK_Z は、ASCII 文字の「A」〜「Z」 (0x41 - 0x5A) に相当します。
    VK_ACCEPT(KeyEvent.VK_ACCEPT), // 「同意」または「確定」ファンクションキー用の定数です。
    VK_ADD(KeyEvent.VK_ADD), //
    VK_AGAIN(KeyEvent.VK_AGAIN), //
    VK_ALL_CANDIDATES(KeyEvent.VK_ALL_CANDIDATES), // 「全候補」ファンクションキー用の定数です。
    VK_ALPHANUMERIC(KeyEvent.VK_ALPHANUMERIC), // 「英数」ファンクションキー用の定数です。
    VK_ALT(KeyEvent.VK_ALT), //
    VK_ALT_GRAPH(KeyEvent.VK_ALT_GRAPH), // 「AltGraph」ファンクションキー用の定数です。
    VK_AMPERSAND(KeyEvent.VK_AMPERSAND), //
    VK_ASTERISK(KeyEvent.VK_ASTERISK), //
    VK_AT(KeyEvent.VK_AT), // 「@」キー用の定数です。
    VK_B(KeyEvent.VK_B), //
    VK_BACK_QUOTE(KeyEvent.VK_BACK_QUOTE), //
    VK_BACK_SLASH(KeyEvent.VK_BACK_SLASH), // バックスラッシュキー「\」用の定数です。
    VK_BACK_SPACE(KeyEvent.VK_BACK_SPACE), //
    VK_BEGIN(KeyEvent.VK_BEGIN), // 「Begin」キー用の定数です。
    VK_BRACELEFT(KeyEvent.VK_BRACELEFT), //
    VK_BRACERIGHT(KeyEvent.VK_BRACERIGHT), //
    VK_C(KeyEvent.VK_C), //
    VK_CANCEL(KeyEvent.VK_CANCEL), //
    VK_CAPS_LOCK(KeyEvent.VK_CAPS_LOCK), //
    VK_CIRCUMFLEX(KeyEvent.VK_CIRCUMFLEX), // 「^」キー用の定数です。
    VK_CLEAR(KeyEvent.VK_CLEAR), //
    VK_CLOSE_BRACKET(KeyEvent.VK_CLOSE_BRACKET), // 右角かっこキー「]」用の定数です。
    VK_CODE_INPUT(KeyEvent.VK_CODE_INPUT), // 「コード入力」ファンクションキー用の定数です。
    VK_COLON(KeyEvent.VK_COLON), // 「:」キー用の定数です。
    VK_COMMA(KeyEvent.VK_COMMA), // コンマキー「,」用の定数です。
    VK_COMPOSE(KeyEvent.VK_COMPOSE), // 「変換」ファンクションキー用の定数です。
    VK_CONTEXT_MENU(KeyEvent.VK_CONTEXT_MENU), // Microsoft Windows コンテキストメニューキー用の定数です。
    VK_CONTROL(KeyEvent.VK_CONTROL), //
    VK_CONVERT(KeyEvent.VK_CONVERT), // 「変換」ファンクションキー用の定数です。
    VK_COPY(KeyEvent.VK_COPY), //
    VK_CUT(KeyEvent.VK_CUT), //
    VK_D(KeyEvent.VK_D), //
    VK_DEAD_ABOVEDOT(KeyEvent.VK_DEAD_ABOVEDOT), //
    VK_DEAD_ABOVERING(KeyEvent.VK_DEAD_ABOVERING), //
    VK_DEAD_ACUTE(KeyEvent.VK_DEAD_ACUTE), //
    VK_DEAD_BREVE(KeyEvent.VK_DEAD_BREVE), //
    VK_DEAD_CARON(KeyEvent.VK_DEAD_CARON), //
    VK_DEAD_CEDILLA(KeyEvent.VK_DEAD_CEDILLA), //
    VK_DEAD_CIRCUMFLEX(KeyEvent.VK_DEAD_CIRCUMFLEX), //
    VK_DEAD_DIAERESIS(KeyEvent.VK_DEAD_DIAERESIS), //
    VK_DEAD_DOUBLEACUTE(KeyEvent.VK_DEAD_DOUBLEACUTE), //
    VK_DEAD_GRAVE(KeyEvent.VK_DEAD_GRAVE), //
    VK_DEAD_IOTA(KeyEvent.VK_DEAD_IOTA), //
    VK_DEAD_MACRON(KeyEvent.VK_DEAD_MACRON), //
    VK_DEAD_OGONEK(KeyEvent.VK_DEAD_OGONEK), //
    VK_DEAD_SEMIVOICED_SOUND(KeyEvent.VK_DEAD_SEMIVOICED_SOUND), //
    VK_DEAD_TILDE(KeyEvent.VK_DEAD_TILDE), //
    VK_DEAD_VOICED_SOUND(KeyEvent.VK_DEAD_VOICED_SOUND), //
    VK_DECIMAL(KeyEvent.VK_DECIMAL), //
    VK_DELETE(KeyEvent.VK_DELETE), //
    VK_DIVIDE(KeyEvent.VK_DIVIDE), //
    VK_DOLLAR(KeyEvent.VK_DOLLAR), // 「$」キー用の定数です。
    VK_DOWN(KeyEvent.VK_DOWN), // Numpad ではない下矢印キー用の定数です。
    VK_E(KeyEvent.VK_E), //
    VK_END(KeyEvent.VK_END), //
    VK_ENTER(KeyEvent.VK_ENTER), //
    VK_EQUALS(KeyEvent.VK_EQUALS), // 等号キー「=」用の定数です。
    VK_ESCAPE(KeyEvent.VK_ESCAPE), //
    VK_EURO_SIGN(KeyEvent.VK_EURO_SIGN), // ユーロ通貨記号キー用の定数です。
    VK_EXCLAMATION_MARK(KeyEvent.VK_EXCLAMATION_MARK), // 「!」キー用の定数です。
    VK_F(KeyEvent.VK_F), //
    VK_F1(KeyEvent.VK_F1), // F1 ファンクションキー用の定数です。
    VK_F10(KeyEvent.VK_F10), // F10 ファンクションキー用の定数です。
    VK_F11(KeyEvent.VK_F11), // F11 ファンクションキー用の定数です。
    VK_F12(KeyEvent.VK_F12), // F12 ファンクションキー用の定数です。
    VK_F13(KeyEvent.VK_F13), // F13 ファンクションキー用の定数です。
    VK_F14(KeyEvent.VK_F14), // F14 ファンクションキー用の定数です。
    VK_F15(KeyEvent.VK_F15), // F15 ファンクションキー用の定数です。
    VK_F16(KeyEvent.VK_F16), // F16 ファンクションキー用の定数です。
    VK_F17(KeyEvent.VK_F17), // F17 ファンクションキー用の定数です。
    VK_F18(KeyEvent.VK_F18), // F18 ファンクションキー用の定数です。
    VK_F19(KeyEvent.VK_F19), // F19 ファンクションキー用の定数です。
    VK_F2(KeyEvent.VK_F2), // F2 ファンクションキー用の定数です。
    VK_F20(KeyEvent.VK_F20), // F20 ファンクションキー用の定数です。
    VK_F21(KeyEvent.VK_F21), // F21 ファンクションキー用の定数です。
    VK_F22(KeyEvent.VK_F22), // F22 ファンクションキー用の定数です。
    VK_F23(KeyEvent.VK_F23), // F23 ファンクションキー用の定数です。
    VK_F24(KeyEvent.VK_F24), // F24 ファンクションキー用の定数です。
    VK_F3(KeyEvent.VK_F3), // F3 ファンクションキー用の定数です。
    VK_F4(KeyEvent.VK_F4), // F4 ファンクションキー用の定数です。
    VK_F5(KeyEvent.VK_F5), // F5 ファンクションキー用の定数です。
    VK_F6(KeyEvent.VK_F6), // F6 ファンクションキー用の定数です。
    VK_F7(KeyEvent.VK_F7), // F7 ファンクションキー用の定数です。
    VK_F8(KeyEvent.VK_F8), // F8 ファンクションキー用の定数です。
    VK_F9(KeyEvent.VK_F9), // F9 ファンクションキー用の定数です。
    VK_FINAL(KeyEvent.VK_FINAL), //
    VK_FIND(KeyEvent.VK_FIND), //
    VK_FULL_WIDTH(KeyEvent.VK_FULL_WIDTH), // 「全角」ファンクションキー用の定数です。
    VK_G(KeyEvent.VK_G), //
    VK_GREATER(KeyEvent.VK_GREATER), //
    VK_H(KeyEvent.VK_H), //
    VK_HALF_WIDTH(KeyEvent.VK_HALF_WIDTH), // 「半角」ファンクションキー用の定数です。
    VK_HELP(KeyEvent.VK_HELP), //
    VK_HIRAGANA(KeyEvent.VK_HIRAGANA), // 「ひらがな」ファンクションキー用の定数です。
    VK_HOME(KeyEvent.VK_HOME), //
    VK_I(KeyEvent.VK_I), //
    VK_INPUT_METHOD_ON_OFF(KeyEvent.VK_INPUT_METHOD_ON_OFF), // インプットメソッドの入力切替えキー用の定数です。
    VK_INSERT(KeyEvent.VK_INSERT), //
    VK_INVERTED_EXCLAMATION_MARK(KeyEvent.VK_INVERTED_EXCLAMATION_MARK), // 逆向きの感嘆符キー用の定数です。
    VK_J(KeyEvent.VK_J), //
    VK_JAPANESE_HIRAGANA(KeyEvent.VK_JAPANESE_HIRAGANA), // 「日本語-ひらがな」ファンクションキー用の定数です。
    VK_JAPANESE_KATAKANA(KeyEvent.VK_JAPANESE_KATAKANA), // 「日本語-カタカナ」ファンクションキー用の定数です。
    VK_JAPANESE_ROMAN(KeyEvent.VK_JAPANESE_ROMAN), // 「日本語-ローマ字」ファンクションキー用の定数です。
    VK_K(KeyEvent.VK_K), //
    VK_KANA(KeyEvent.VK_KANA), //
    VK_KANA_LOCK(KeyEvent.VK_KANA_LOCK), // 「かなロック」ファンクションキー用の定数です。
    VK_KANJI(KeyEvent.VK_KANJI), //
    VK_KATAKANA(KeyEvent.VK_KATAKANA), // 「カタカナ」ファンクションキー用の定数です。
    VK_KP_DOWN(KeyEvent.VK_KP_DOWN), // 数値入力キーパッドの下矢印キー用の定数です。
    VK_KP_LEFT(KeyEvent.VK_KP_LEFT), // 数値入力キーパッドの左矢印キー用の定数です。
    VK_KP_RIGHT(KeyEvent.VK_KP_RIGHT), // 数値入力キーパッドの右矢印キー用の定数です。
    VK_KP_UP(KeyEvent.VK_KP_UP), // 数値入力キーパッドの上矢印キー用の定数です。
    VK_L(KeyEvent.VK_L), //
    VK_LEFT(KeyEvent.VK_LEFT), // Numpad ではない左矢印キー用の定数です。
    VK_LEFT_PARENTHESIS(KeyEvent.VK_LEFT_PARENTHESIS), // 「(」キー用の定数です。
    VK_LESS(KeyEvent.VK_LESS), //
    VK_M(KeyEvent.VK_M), //
    VK_META(KeyEvent.VK_META), //
    VK_MINUS(KeyEvent.VK_MINUS), // マイナスキー「-」用の定数です。
    VK_MODECHANGE(KeyEvent.VK_MODECHANGE), //
    VK_MULTIPLY(KeyEvent.VK_MULTIPLY), //
    VK_N(KeyEvent.VK_N), //
    VK_NONCONVERT(KeyEvent.VK_NONCONVERT), // 「同意」または「確定」ファンクションキー用の定数です。
    VK_NUM_LOCK(KeyEvent.VK_NUM_LOCK), //
    VK_NUMBER_SIGN(KeyEvent.VK_NUMBER_SIGN), // 「#」キー用の定数です。
    VK_NUMPAD0(KeyEvent.VK_NUMPAD0), //
    VK_NUMPAD1(KeyEvent.VK_NUMPAD1), //
    VK_NUMPAD2(KeyEvent.VK_NUMPAD2), //
    VK_NUMPAD3(KeyEvent.VK_NUMPAD3), //
    VK_NUMPAD4(KeyEvent.VK_NUMPAD4), //
    VK_NUMPAD5(KeyEvent.VK_NUMPAD5), //
    VK_NUMPAD6(KeyEvent.VK_NUMPAD6), //
    VK_NUMPAD7(KeyEvent.VK_NUMPAD7), //
    VK_NUMPAD8(KeyEvent.VK_NUMPAD8), //
    VK_NUMPAD9(KeyEvent.VK_NUMPAD9), //
    VK_O(KeyEvent.VK_O), //
    VK_OPEN_BRACKET(KeyEvent.VK_OPEN_BRACKET), // 左角かっこキー「[」用の定数です。
    VK_P(KeyEvent.VK_P), //
    VK_PAGE_DOWN(KeyEvent.VK_PAGE_DOWN), //
    VK_PAGE_UP(KeyEvent.VK_PAGE_UP), //
    VK_PASTE(KeyEvent.VK_PASTE), //
    VK_PAUSE(KeyEvent.VK_PAUSE), //
    VK_PERIOD(KeyEvent.VK_PERIOD), // ピリオドキー「.」用の定数です。
    VK_PLUS(KeyEvent.VK_PLUS), // 「+」キー用の定数です。
    VK_PREVIOUS_CANDIDATE(KeyEvent.VK_PREVIOUS_CANDIDATE), // 「前候補」ファンクションキー用の定数です。
    VK_PRINTSCREEN(KeyEvent.VK_PRINTSCREEN), //
    VK_PROPS(KeyEvent.VK_PROPS), //
    VK_Q(KeyEvent.VK_Q), //
    VK_QUOTE(KeyEvent.VK_QUOTE), //
    VK_QUOTEDBL(KeyEvent.VK_QUOTEDBL), //
    VK_R(KeyEvent.VK_R), //
    VK_RIGHT(KeyEvent.VK_RIGHT), // Numpad ではない右矢印キー用の定数です。
    VK_RIGHT_PARENTHESIS(KeyEvent.VK_RIGHT_PARENTHESIS), // 「)」キー用の定数です。
    VK_ROMAN_CHARACTERS(KeyEvent.VK_ROMAN_CHARACTERS), // 「ローマ字」ファンクションキー用の定数です。
    VK_S(KeyEvent.VK_S), //
    VK_SCROLL_LOCK(KeyEvent.VK_SCROLL_LOCK), //
    VK_SEMICOLON(KeyEvent.VK_SEMICOLON), // セミコロンキー「;」用の定数です。
    VK_SEPARATER(KeyEvent.VK_SEPARATER), // この定数は現在使用されていません。
    VK_SEPARATOR(KeyEvent.VK_SEPARATOR), // Numpad Separator キー用の定数です。
    VK_SHIFT(KeyEvent.VK_SHIFT), //
    VK_SLASH(KeyEvent.VK_SLASH), // スラッシュキー「/」用の定数です。
    VK_SPACE(KeyEvent.VK_SPACE), //
    VK_STOP(KeyEvent.VK_STOP), //
    VK_SUBTRACT(KeyEvent.VK_SUBTRACT), //
    VK_T(KeyEvent.VK_T), //
    VK_TAB(KeyEvent.VK_TAB), //
    VK_U(KeyEvent.VK_U), //
    VK_UNDEFINED(KeyEvent.VK_UNDEFINED), // この値は keyCode が不明であることを示すために使用されます。
    VK_UNDERSCORE(KeyEvent.VK_UNDERSCORE), // 「_」キー用の定数です。
    VK_UNDO(KeyEvent.VK_UNDO), //
    VK_UP(KeyEvent.VK_UP), // Numpad ではない上矢印キー用の定数です。
    VK_V(KeyEvent.VK_V), //
    VK_W(KeyEvent.VK_W), //
    VK_WINDOWS(KeyEvent.VK_WINDOWS), // Microsoft Windows「Windows」キー用の定数です。
    VK_X(KeyEvent.VK_X), //
    VK_Y(KeyEvent.VK_Y), //
    VK_Z(KeyEvent.VK_Z); //

    private int keyCode;

    private VK(int keyCode) {

        this.keyCode = keyCode;
    }

    public int getKeyCode() {

        return keyCode;
    }
}
