package com.yscjp.webtools.robot.servlet;

import java.util.Map;

import com.yscjp.webtools.robot.ModifyKey;
import com.yscjp.webtools.robot.RobotUtilities;


public class KeyPressServlet extends RobotServletBase {

    private static final long serialVersionUID = 1L;


    /**
     * Keycode=n&CtrlKey=true&ShiftKey=true&AltKey=true&MetaKey=true
     */
    @Override
    protected void doExecute(Map<String, String> parameterMap) {

        int jsKeycode = getParameterInt(parameterMap, "Keycode");
        ModifyKey modifyKey = getModifyKey(parameterMap);

        RobotUtilities.keyPress(jsKeycode, modifyKey);
    }


    @Override
    public String getRegistrationName() {

        return "KeyPress";
    }


    @Override
    public String getRegistrationURL() {

        return "/KeyPress";
    }

}
