package com.yscjp.webtools.robot.servlet;

import java.util.Map;

import com.yscjp.webtools.robot.RobotUtilities;


public class MouseMoveServlet extends RobotServletBase {

    private static final long serialVersionUID = 1L;

    /**
     * X=n&Y=n
     */
    @Override
    protected void doExecute(Map<String, String> parameterMap) {

        int x = getParameterD2I(parameterMap, "X");
        int y = getParameterD2I(parameterMap, "Y");

        RobotUtilities.mouseMove(x, y);
    }


    @Override
    public String getRegistrationName() {

        return "MouseMove";
    }


    @Override
    public String getRegistrationURL() {

        return "/MouseMove";
    }

}
