package com.yscjp.webtools.robot.servlet;

import java.util.Map;

import com.yscjp.webtools.robot.ModifyKey;
import com.yscjp.webtools.robot.MouseButton;
import com.yscjp.webtools.robot.RobotUtilities;


public class MousePressServlet extends RobotServletBase {

    private static final long serialVersionUID = 1L;


    /**
     * LeftButton=true&CenterButton=true&RightButton=true&CtrlKey=true&ShiftKey=true&AltKey=true&MetaKey=true
     */
    @Override
    protected void doExecute(Map<String, String> parameterMap) {

        MouseButton mouseButton = getMouseButton(parameterMap);
        ModifyKey modifyKey = getModifyKey(parameterMap);

        RobotUtilities.mousePress(mouseButton, modifyKey);
    }


    @Override
    public String getRegistrationName() {

        return "MousePress";
    }


    @Override
    public String getRegistrationURL() {

        return "/MousePress";
    }

}
