package com.yscjp.webtools.robot.servlet;

import java.util.Map;

import com.yscjp.webtools.robot.RobotUtilities;


public class ScreenCaptureServlet extends RobotServletBase {

    private static final long serialVersionUID = 1L;


    /**
     * X=n&Y=n&Width=n&Height=n&Name=xxxxxxxxxx
     */
    @Override
    protected void doExecute(Map<String, String> parameterMap) {

        int x = getParameterInt(parameterMap, "X");
        int y = getParameterInt(parameterMap, "Y");
        int width = getParameterInt(parameterMap, "Width");
        int height = getParameterInt(parameterMap, "Height");
        String name = parameterMap.get("Name");

        RobotUtilities.screenCapture(x, y, width, height, name);
    }


    @Override
    public String getRegistrationName() {

        return "ScreenCapture";
    }


    @Override
    public String getRegistrationURL() {

        return "/ScreenCapture";
    }

}
