package com.yscjp.webtools.robot.servlet;

import java.util.Map;

import com.yscjp.webtools.robot.RobotUtilities;


public class TypeTextServlet extends RobotServletBase {

    private static final long serialVersionUID = 1L;


    /**
     * Text=xxxxxxxxxx
     */
    @Override
    protected void doExecute(Map<String, String> parameterMap) {

        String text = parameterMap.get("Text");

        RobotUtilities.typeText(text);
    }


    @Override
    public String getRegistrationName() {

        return "TypeText";
    }


    @Override
    public String getRegistrationURL() {

        return "/TypeText";
    }

}
