package com.yscjp.webtools.share.servlet;

import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;


public abstract class AutoregisterServletBase extends HttpServlet {

    private static final long serialVersionUID = 1L;

    public abstract String getRegistrationName();
    public abstract String getRegistrationURL();

    protected String getFullRequestURL(HttpServletRequest request) {

        StringBuffer requestURL = request.getRequestURL();
        String queryString = request.getQueryString();
        if (null != queryString) {

            requestURL.append("?").append(queryString);
        }

        return requestURL.toString();
    }
}
