var jsRobot = null;
var __robotApplet__;
var settingList;

var WebtestApp = function () {};
(function() {

    var JSHtmlUtil = com.yscjp.jsapp.util.JSHtmlUtil;
    var DomUtil = com.yscjp.jsapp.util.DomUtil;
    var Log = com.yscjp.jsapp.util.Log;
    var JSAssert = com.yscjp.jsapp.tools.JSAssert;
    var JSString = com.yscjp.jsapp.util.JSString;
    var JSEvent = com.yscjp.jsapp.JSEvent;
//    var XmlUtil = com.yscjp.jsapp.util.XmlUtil;
    var TabManager = com.yscjp.jsapp.element.TabManager;
    var JSResize = com.yscjp.jsapp.element.JSResize;
    var ResizeManager = com.yscjp.jsapp.element.ResizeManager;
    var ArgChk = com.yscjp.jsapp.util.ArgChk;

    Log.setConsoleOut(false);

    var Webtest = com.yscjp.jsapp.webtest.Webtest;

    var tabManager = new TabManager();

    WebtestApp.basePath = "";
    WebtestApp.scenarioBasePath = "";
    WebtestApp.captureBasePath = "";

    WebtestApp.initialize = function () {

        if (document.getElementById("isLogOut").checked) {

            Log.mode = Log.MODE_TRACE;

        } else {

            Log.mode = Log.MODE_INFO;
        }

        jsRobot = Webtest.initializeWebtest(function() { return document.getElementById("serverPort").value; });
        Log.debug("jsRobot.id:"+jsRobot.id);

        WebtestApp.selectRefresh();

        window.onerror = com.yscjp.jsapp.util.StackTrace.errorHandler;

        tabManager.addTab('tabExec', WebtestApp.tabExecSelectHdl, null, true);
        tabManager.addTab('tabCapture', WebtestApp.tabCaptureSelectHdl);
        tabManager.addTab('tabManual', WebtestApp.tabManualSelectHdl);
        tabManager.addTab('tabConsole', WebtestApp.tabConsoleSelectHdl);

        /*JSResize.add('settingListCell', 0, 0, null, null, new ResizeManager(false, true, false, false));
        settingList = new com.yscjp.jsapp.JSTable('settingList');
        settingList.addPlugin(new com.yscjp.jsapp.SelectablePlugin());
        var tableModel = settingList.getTableModel();

        tableModel.setValueAt('testExecuteSettingItem', 0, 0);
        tableModel.setValueAt('openWindowSettingItem', 1, 0);
        tableModel.setValueAt('eventCaptureSettingItem', 2, 0);
        tableModel.setValueAt('imageCaptureSettingItem', 3, 0);

        tableModel.setDisplayValueAt('シナリオ実行時の設定', 0, 0);
        tableModel.setDisplayValueAt('オープンするWindowの設定', 1, 0);
        tableModel.setDisplayValueAt('イベントキャプチャの設定', 2, 0);
        tableModel.setDisplayValueAt('イメージキャプチャの設定', 3, 0);

        settingList.addRowChangeListener(rowChangeListener);*/

        WebtestApp.tabExecSelectHdl();

//                document.getElementById("use_targetwin_timer").checked = __isAsyncKey__;
    };
    WebtestApp.logOut = function () {

        if (document.getElementById("isLogOut").checked) {

            Log.mode = Log.MODE_DEBUG;

        } else {

            Log.mode = Log.MODE_INFO;
        }
    };
    WebtestApp.javaLogOut = function () {

        if (document.getElementById("isJavaLogOut").checked) {

            __robotApplet__.startVerboseMessage();

        } else {

            __robotApplet__.stopVerboseMessage();
        }
    };

    /**
     * 「シナリオの実行」タブ選択時のイベントハンドラ。
     */
    WebtestApp.tabExecSelectHdl = function () {
        rowChangeListener("testExecuteSettingItem");
        /*var tableModel = settingList.getTableModel();
        tableModel.setCellEditable(true, 0, 0);
        tableModel.setCellEditable(true, 1, 0);
        tableModel.setCellEditable(true, 2, 0);
        tableModel.setCellEditable(true, 3, 0);*/

        /*
         * APPエリアを表示
         */
        document.getElementById('apps').style.display='';
        /*
         * コンソールエリアを非表示
         */
        document.getElementById('appConsole').style.display='none';
        /*
         * シナリオの実行を表示
         */
        document.getElementById('testExec').style.display='';
        /*
         * イベントキャプチャを非表示
         */
        document.getElementById('eventCapture').style.display='none';
        /*
         * 手動テストの実行を非表示
         */
        document.getElementById('manualTestExec').style.display='none';
        /*
         * シナリオ実行時の設定を表示
         */
        document.getElementById('testExecuteSettingItem').style.display='';
        /*
         * オープンするWindowの設定を表示
         */
        document.getElementById('openWindowSettingItem').style.display='';
        /*
         * イベントキャプチャの設定を非表示
         */
        document.getElementById('eventCaptureSettingItem').style.display='none';
        //tableModel.setCellEditable(false, 2, 0);

        /*
         * イメージキャプチャの設定を表示
         */
        document.getElementById('imageCaptureSettingItem').style.display='';
        //settingList.fireSelectChanged(0, 0);
    };

    /**
     * 「イベントキャプチャ」タブ選択時のイベントハンドラ。
     */
    WebtestApp.tabCaptureSelectHdl = function () {
        rowChangeListener("testExecuteSettingItem");
        //var tableModel = settingList.getTableModel();
        //tableModel.setCellEditable(true, 0, 0);
        //tableModel.setCellEditable(true, 1, 0);
        //tableModel.setCellEditable(true, 2, 0);
        //tableModel.setCellEditable(true, 3, 0);

        /*
         * APPエリアを表示
         */
        document.getElementById('apps').style.display='';
        /*
         * コンソールエリアを非表示
         */
        document.getElementById('appConsole').style.display='none';
        /*
         * シナリオの実行を非表示
         */
        document.getElementById('testExec').style.display='none';
        /*
         * イベントキャプチャを表示
         */
        document.getElementById('eventCapture').style.display='';
        /*
         * 手動テストの実行を非表示
         */
        document.getElementById('manualTestExec').style.display='none';
        /*
         * シナリオ実行時の設定を表示
         */
        document.getElementById('testExecuteSettingItem').style.display='';
        /*
         * オープンするWindowの設定を表示
         */
        document.getElementById('openWindowSettingItem').style.display='';
        /*
         * イベントキャプチャ時の設定を表示
         */
        document.getElementById('eventCaptureSettingItem').style.display='';
        /*
         * イメージキャプチャの設定を表示
         */
        document.getElementById('imageCaptureSettingItem').style.display='';
        //settingList.fireSelectChanged(0, 0);
    };

    /**
     * 「手動テスト」タブ選択時のイベントハンドラ。
     */
    WebtestApp.tabManualSelectHdl = function () {
        rowChangeListener("openWindowSettingItem");
        //var tableModel = settingList.getTableModel();
        //tableModel.setCellEditable(true, 0, 0);
        //tableModel.setCellEditable(true, 1, 0);
        //tableModel.setCellEditable(true, 2, 0);
        //tableModel.setCellEditable(true, 3, 0);

        /*
         * APPエリアを表示
         */
        document.getElementById('apps').style.display='';
        /*
         * コンソールエリアを非表示
         */
        document.getElementById('appConsole').style.display='none';
        /*
         * シナリオの実行を非表示
         */
        document.getElementById('testExec').style.display='none';
        /*
         * イベントキャプチャを非表示
         */
        document.getElementById('eventCapture').style.display='none';
        /*
         * 手動テストの実行を表示
         */
        document.getElementById('manualTestExec').style.display='';
        /*
         * シナリオ実行時の設定を非表示
         */
        document.getElementById('testExecuteSettingItem').style.display='none';
        //tableModel.setCellEditable(false, 0, 0);
        /*
         * オープンするWindowの設定を表示
         */
        document.getElementById('openWindowSettingItem').style.display='';
        /*
         * イベントキャプチャ時の設定を非表示
         */
        document.getElementById('eventCaptureSettingItem').style.display='none';
        //tableModel.setCellEditable(false, 2, 0);
        /*
         * イメージキャプチャの設定を表示
         */
        document.getElementById('imageCaptureSettingItem').style.display='';
        //settingList.fireSelectChanged(1, 0);
    };

    /**
     * 「コンソール」タブ選択時のイベントハンドラ。
     */
    WebtestApp.tabConsoleSelectHdl = function () {

        /*
         * APPエリアを非表示
         */
        document.getElementById('apps').style.display='none';
        /*
         * コンソールエリアを表示
         */
        document.getElementById('appConsole').style.display='';
    };

    /**
     * 入力ラジオボタン選択時のイベントハンドラ。
     */
    WebtestApp.inputSelect = function () {

        document.getElementById("testcase_in").style.display = '';
        document.getElementById("testcase_sel").style.display = 'none';
    };

    /**
     * 選択ラジオボタン選択時のイベントハンドラ。
     */
    WebtestApp.selectSelect = function () {

        document.getElementById("testcase_in").style.display = 'none';
        document.getElementById("testcase_sel").style.display = '';
    };

    /**
     * 「実行」ボタン押下時のイベントハンドラ。
     */
    WebtestApp.execTestCase = function () {

        var testcaseUrl = null;

        if (document.getElementById("inorsel_in").checked) {

            testcaseUrl = document.getElementById('testcase').value;

        } else {

            testcaseUrl = document.getElementById('caseselect').value;
        }
        if (!testcaseUrl || '' == testcaseUrl) {

            Log.debug('testcaseUrl is null or empty.');
            return;
        }

        var delayTimeInput = document.getElementById('delaytime').value;
        var surveillance_interval = document.getElementById('surveillance_interval').value;
        var isUseTargetwinTimer = document.getElementById("use_targetwin_timer").checked;
        var isOutStop = document.getElementById("out_stop").checked;

        Webtest.execTestCase(testcaseUrl,
                             delayTimeInput,
                             surveillance_interval,
                             isUseTargetwinTimer,
                             isOutStop,
                             WebtestApp.basePath);
    };

    /**
     * 「再読み込み」ボタン押下時のイベントハンドラ。
     */
    WebtestApp.selectRefresh = function () {

        /*
         * リクエストに、WebtestApp.TESTCASELISTというキーで、シナリオリストのファイル名が
         * 指定されていた場合、その中に指定されたシナリオをリストする。
         * 指定されていない場合、robot.htmlと同じディレクトリに、testcaselist.xmlが存在すれば、
         * その中に指定されたシナリオをリストする。
         */
        var url = com.yscjp.jsapp.util.UA.getQueryValue('WebtestApp.TESTCASELIST');
        if (!url) {

            url = './scenariolist.xml';
        }

        WebtestApp.basePath = "";

        var slashIndex = url.lastIndexOf("/");
        if (-1 != slashIndex) {

            WebtestApp.basePath = url.substring(0, slashIndex + 1);
            Log.debug("WebtestApp.basePath:" + WebtestApp.basePath);
        }

        url = url + '?' + new Date().getTime();
        var xmlLS = new com.yscjp.jsapp.tools.XmlLS();
        xmlDoc = xmlLS.perseFromURI(url);
        if (null != xmlDoc) {

            document.getElementById("inorsel_in").disabled = false;
            document.getElementById("inorsel_sel").disabled = false;
            document.getElementById("inorsel_sel").checked = true;
            WebtestApp.selectSelect();

            var select = document.getElementById("caseselect");
            JSHtmlUtil.removeAllOption(select);

            var testcases = xmlDoc.getElementsByTagName("testcase");
            for (var i = 0; i < testcases.length; i++) {

                var testcase = testcases.item(i);
                var firstChild = testcase.firstChild;
                var urlString = firstChild.data;
                var display = testcase.getAttribute("display");
                if (null == display) {

                    display = "";
                }
                display += "[" + urlString + "]";
                JSHtmlUtil.addOption(select, urlString, display);
            }

        } else {

            document.getElementById("inorsel_in").disabled = true;
            document.getElementById("inorsel_sel").disabled = true;
            WebtestApp.inputSelect();
        }
    };

    /**
     * 「表示」ボタン押下時のイベントハンドラ。
     */
    WebtestApp.displayTestCase = function () {

        var testcaseUrl = null;

        if (document.getElementById("inorsel_in").checked) {

            testcaseUrl = document.getElementById('testcase').value;

        } else {

            testcaseUrl = document.getElementById('caseselect').value;
        }
        if (!testcaseUrl || '' == testcaseUrl) {

            Log.debug('testcaseUrl is null or empty.');
            return;
        }

        var textDoc;
        WebtestApp.captureBasePath = WebtestApp.basePath;
        var url = WebtestApp.basePath + testcaseUrl + '?' + new Date().getTime();
        var slashIndex = url.lastIndexOf("/");
        if (-1 != slashIndex) {

        	WebtestApp.captureBasePath = url.substring(0, slashIndex + 1);
        }
        Log.debug("WebtestApp.captureBasePath:" + WebtestApp.captureBasePath);
        var xmlLS = new com.yscjp.jsapp.tools.XmlLS();
        textDoc = xmlLS.getTextFromURI(url);
        if (null == textDoc) {

            var errorMsg = 'Http request error. ' +
            xmlLS.getResultCode() + ':' +
            xmlLS.getResultText() + '' +
            url;
            Log.error(errorMsg);
            throw new Error(errorMsg);
        }

        var capturetext = document.getElementById('capturetext');
        if (capturetext.value != null && 0 != capturetext.value.length) {

            if (!confirm("キャプチャ結果を上書きします。\nよろしいですか？")) {

                return;
            }
        }
        capturetext.value = textDoc;
        tabManager.changeTab('tabCapture');
    };

    /**
     * イベントキャプチャタブでの「読み込み」ボタン押下時のイベントハンドラ。
     */
    WebtestApp.captureLoad = function () {

        var loadURL = document.getElementById('targeturl').value;
        if (!loadURL || '' == loadURL) {

            return;
        }

        var modifyEventCapture = false;
        var pressReleaseCapture = false;
        var labelclick = false;
        if (document.getElementById('modifyEventCapture').checked) {

            modifyEventCapture = true;
        }
        if (document.getElementById('pressReleaseCapture').checked) {

            pressReleaseCapture = true;
        }
        if (document.getElementById('labelclick').checked) {

            labelclick = true;
        }

        Webtest.capture(loadURL,
                        WebtestApp.getOpenSetting(),
                        modifyEventCapture,
                        pressReleaseCapture,
                        labelclick);
    };

    /**
     * 手動テストの実行タブでの「読み込み」ボタン押下時のイベントハンドラ。
     */
    WebtestApp.manualTestExec = function () {

        var loadURL = document.getElementById('manualTestTargeturl').value;
        if (!loadURL || '' == loadURL) {

            return;
        }

        var modifyEventCapture = false;
        var pressReleaseCapture = false;
        var labelclick = false;
        if (document.getElementById('modifyEventCapture').checked) {

            modifyEventCapture = true;
        }
        if (document.getElementById('pressReleaseCapture').checked) {

            pressReleaseCapture = true;
        }
        if (document.getElementById('labelclick').checked) {

            labelclick = true;
        }

        Webtest.manualTest(loadURL,
                           WebtestApp.getOpenSetting(),
                           modifyEventCapture,
                           pressReleaseCapture,
                           labelclick);
    };

    /**
     * 「キャプチャの終了」ボタン押下時のイベントハンドラ。
     */
    WebtestApp.captureEnd = function () {

    	WebtestApp.captureBasePath = "";
        Webtest.captureEnd();
    };

    /**
     * 「キャプチャ結果の実行」ボタン押下時のイベントハンドラ。
     */
    WebtestApp.captureExec = function () {

        var delayTimeInput = document.getElementById('delaytime').value;
        var surveillance_interval = document.getElementById('surveillance_interval').value;
        var isUseTargetwinTimer = document.getElementById("use_targetwin_timer").checked;
        var isOutStop = document.getElementById("out_stop").checked;

//        Webtest.captureExec(delayTimeInput, surveillance_interval, isUseTargetwinTimer, isOutStop, WebtestApp.scenarioBasePath);
        Webtest.captureExec(delayTimeInput, surveillance_interval, isUseTargetwinTimer, isOutStop, WebtestApp.captureBasePath);
    };

    WebtestApp.getOpenSetting = function (top, left, width, height) {

        var setting_window_top = document.getElementById('window_top').value;
        var setting_window_left = document.getElementById('window_left').value;
        var setting_window_width = document.getElementById('window_width').value;
        var setting_window_height = document.getElementById('window_height').value;

        var openSetting = '';

        var isWindowModeNormal = document.getElementById("windowModeNormal").checked;
        var isWindowModeChannel = document.getElementById("windowModeChannel").checked;
        //var isWindowModeFullscreen = document.getElementById("windowModeFullscreen").checked;

        if (isWindowModeNormal) {

            if ('' == setting_window_top) {

                setting_window_top = ArgChk.notUndefined(top, '');
            }
            if ('' == setting_window_left) {

                setting_window_left = ArgChk.notUndefined(left, '');
            }
            if ('' == setting_window_width) {

                setting_window_width = ArgChk.notUndefined(width, '');
            }
            if ('' == setting_window_height) {

                setting_window_height = ArgChk.notUndefined(height, '');
            }

            if ("" != setting_window_width) {

                openSetting += 'width=' + setting_window_width + ',';
            }

            if ("" != setting_window_height) {

                openSetting += 'height=' + setting_window_height + ',';
            }

            if ("" != setting_window_top) {

                openSetting += 'top=' + setting_window_top + ',';
            }

            if ("" != setting_window_left) {

                openSetting += 'left=' + setting_window_left + ',';
            }

        } else if (isWindowModeChannel) {

            openSetting += 'channelmode=yes,';

        } else {

            openSetting += 'fullscreen=yes,';
        }

        if (document.getElementById("openWindowMenubar"   ).checked) {

            openSetting += 'menubar=yes,';

        } else {

            openSetting += 'menubar=no,';
        }

        if (document.getElementById("openWindowToolbar"   ).checked) {

            openSetting += 'toolbar=yes,';

        } else {

            openSetting += 'toolbar=no,';
        }

        if (document.getElementById("openWindowLocation"  ).checked) {

            openSetting += 'location=yes,';

        } else {

            openSetting += 'location=no,';
        }

        if (document.getElementById("openWindowStatus"    ).checked) {

            openSetting += 'status=yes,';

        } else {

            openSetting += 'status=no,';
        }

        if (document.getElementById("openWindowResizable" ).checked) {

            openSetting += 'resizable=yes,';

        } else {

            openSetting += 'resizable=no,';
        }

        if (document.getElementById("openWindowScrollbars").checked) {

            openSetting += 'scrollbars=yes,';

        } else {

            openSetting += 'scrollbars=no,';
        }

                Log.debug(openSetting);

        return openSetting;
    };
    WebtestApp.loadContent = function (loadURL, top, left, width, height) {

        Webtest.loadContent(loadURL, WebtestApp.getOpenSetting(top, left, width, height));
    };
    WebtestApp.changeContentsWindow = function (newContentsWindow) {

        Webtest.changeContentsWindow(newContentsWindow);
    };
})();

com.yscjp.jsapp.util.StackTrace.insert(WebtestApp, "WebtestApp");

function loadContent(loadURL, top, left, width, height) {

    WebtestApp.loadContent(loadURL, top, left, width, height);
}

function changeContentsWindow(newContentsWindow) {

    WebtestApp.changeContentsWindow(newContentsWindow);
}

function undoContentsWindow() {

    WebtestApp.changeContentsWindow();
}

function imageCapture(title, top, left, height, width) {

    com.yscjp.jsapp.webtest.Webtest.imageCapture(title, top, left, height, width);
}

function outStopSkip() {

    com.yscjp.jsapp.webtest.Webtest.outStopSkip();
}

function closeWindow() {

    com.yscjp.jsapp.webtest.Webtest.closeLoadContentsWindow();
}

function rowChangeListener(value) {

    var JSHtmlUtil = com.yscjp.jsapp.util.JSHtmlUtil;

    /*var tableModel = table.getTableModel();
    var value = tableModel.getValueAt(rowIndex, 0);*/

    var selectedCell = document.getElementById(value);
    if (!selectedCell) {
        return;
    }

    var testExecuteSettingItem = document.getElementById("testExecuteSettingItem");
    var openWindowSettingItem = document.getElementById("openWindowSettingItem");
    var eventCaptureSettingItem = document.getElementById("eventCaptureSettingItem");
    var imageCaptureSettingItem = document.getElementById("imageCaptureSettingItem");

    JSHtmlUtil.removeClassValue(testExecuteSettingItem, "com_yscjp_htmlclass_selected");
    JSHtmlUtil.removeClassValue(openWindowSettingItem, "com_yscjp_htmlclass_selected");
    JSHtmlUtil.removeClassValue(eventCaptureSettingItem, "com_yscjp_htmlclass_selected");
    JSHtmlUtil.removeClassValue(imageCaptureSettingItem, "com_yscjp_htmlclass_selected");

    JSHtmlUtil.addClassValue(selectedCell, "com_yscjp_htmlclass_selected");

    document.getElementById('testExecSetting').style.display='none';
    document.getElementById('openWindowSetting').style.display='none';
    document.getElementById('eventCaptureSetting').style.display='none';
    document.getElementById('imageCaptureSetting').style.display='none';

    switch (value) {
    case 'testExecuteSettingItem' :

        /*
         * シナリオ実行時の設定を表示
         */
        document.getElementById('testExecSetting').style.display='';
        break;

    case 'openWindowSettingItem' :

        /*
         * オープンするWindowの設定を表示
         */
        document.getElementById('openWindowSetting').style.display='';
        break;

    case 'eventCaptureSettingItem' :

        /*
         * イベントキャプチャ時の設定を表示
         */
        document.getElementById('eventCaptureSetting').style.display='';
        break;

    case 'imageCaptureSettingItem' :

        /*
         * イメージキャプチャの設定を表示
         */
        document.getElementById('imageCaptureSetting').style.display='';
        break;

    }
}

