var com;
if (!com) com = {};
if (!com.yscjp) com.yscjp = function () {};
if (!com.yscjp.jsapp) com.yscjp.jsapp = function () {};

com.yscjp.jsapp.JSScrollTable = function(tbody, displayRowCount) {

    this.init(tbody, displayRowCount);
};
(function() {

    var JSScrollTable = com.yscjp.jsapp.JSScrollTable;
    
    JSScrollTable.prototype.init = function (tbody, displayRowCount) {
        
        this.tbody = tbody;
        this.tbodyRowCount = this.tbody.rows.length;
        if (displayRowCount >= this.tbodyRowCount) {
            
            this.displayRowCount = this.tbodyRowCount;

        } else {
            
            this.displayRowCount = displayRowCount;
        }
        this.topRow = 0;
        this.bottomRow = topRow + this.displayRowCount;
        this.goOutRow = null;
        this.comeOutRow = null;
        this.goOutRowOrgHeight;
        this.comeOutRowOrgHeight;
        this.animationCount = 3;
        this.animationIndex = 0;
        
        tableInit(this.tbody, this.tbodyRowCount);
    };
    
    function tableInit(tbody, tbodyRowCount) {
        
        for (var i = 0; i < tbody.rows.length; i++) {
            var row = tbody.rows.item(i);
            for (var j = 0; j < row.cells.length; j++) {
                var cell = row.cells.item(j);
                var div = document.createElement('div');
                div.style.paddingTop = CSSView.getElementStyle(cell, 'paddingTop');
                div.style.paddingBottom = CSSView.getElementStyle(cell, 'paddingBottom');
                div.style.paddingLeft = CSSView.getElementStyle(cell, 'paddingLeft');
                div.style.paddingRight = CSSView.getElementStyle(cell, 'paddingRight');
                cell.style.padding = '0';
                while (cell.hasChildNodes()) {
                    var child = cell.removeChild(cell.firstChild);
                    div.appendChild(child);
                }
                cell.appendChild(div);
            }
            
            if (tbodyRowCount < i + 1) {
                
                row.style.display='none';
            }
        }
    }

    JSScrollTable.prototype.down = function () {
        
        if (bottomRow == this.tbodyRowCount - 1) {

            return;
        }

        this.goOutRow = this.tbody.rows.item(topRow);
        this.comeOutRow = this.tbody.rows.item(bottomRow + 1);
        this.goOutRowOrgHeight = this.goOutRow.offsetHeight;
        this.comeOutRow.style.display='';
        this.comeOutRowOrgHeight = this.comeOutRow.offsetHeight;
        index = 0;
        this.downer();
    };

    JSScrollTable.prototype.up = function () {
        
        if (0 == topRow) {

            return;
        }

        this.goOutRow = this.tbody.rows.item(bottomRow);
        this.comeOutRow = this.tbody.rows.item(topRow - 1);
        this.goOutRowOrgHeight = this.goOutRow.offsetHeight;
        this.comeOutRow.style.display='';
        this.comeOutRowOrgHeight = this.comeOutRow.offsetHeight;
        index = 0;
        this.upper();
    };

    JSScrollTable.prototype.downer = function () {

        index++;
        if (count == index) {
            rowGoOut(goOutRow, '0', 'marginTop');
            goOutRow.style.display='none';
            rowComeOut(comeOutRow, '0', 'marginBottom');
            topRow++;
            bottomRow++;
            return;
        }
        var goOutPx = goOutRowOrgHeight / count * index;
        rowGoOut(goOutRow, '-' + goOutPx + 'px', 'marginTop');
        var rowHeight = goOutRow.offsetHeight;
        rowComeOut(comeOutRow, '-' + (comeOutRowOrgHeight - goOutPx) + 'px', 'marginBottom');
        //comeOutRow.cells.item(0).firstChild.style.marginBottom='-10px';
        setTimeout(downer, 30);
    };

    JSScrollTable.prototype.upper = function () {

        index++;
        if (count == index) {
            rowGoOut(goOutRow, '0', 'marginBottom');
            goOutRow.style.display='none';
            rowComeOut(comeOutRow, '0', 'marginTop');
            topRow--;
            bottomRow--;
            return;
        }
        var goOutPx = goOutRowOrgHeight / count * index;
        rowGoOut(goOutRow, '-' + goOutPx + 'px', 'marginBottom');
        var rowHeight = goOutRow.offsetHeight;
        rowComeOut(comeOutRow, '-' + (comeOutRowOrgHeight - goOutPx) + 'px', 'marginTop');
        //comeOutRow.cells.item(0).firstChild.style.marginBottom='-10px';
        setTimeout(upper, 30);
    };

    JSScrollTable.prototype.rowGoOut = function (row, px, marginName) {

        for (var i = 0; i < row.cells.length; i++) {
            var div = row.cells.item(i).firstChild;
            div.style[marginName] = px;
        }
    };

    JSScrollTable.prototype.rowComeOut = function (row, px, marginName) {

        for (var i = 0; i < row.cells.length; i++) {
            var div = row.cells.item(i).firstChild;
            div.style[marginName] = px;
        }
    };

})();
