package com.yscjp.webtools.robot.servlet;

import java.util.Map;

import com.yscjp.webtools.robot.ModifyKey;
import com.yscjp.webtools.robot.MouseButton;
import com.yscjp.webtools.robot.RobotUtilities;


public class MouseReleaseServlet extends RobotServletBase {

    private static final long serialVersionUID = 1L;


    @Override
    protected void doExecute(Map<String, String> parameterMap) {

        MouseButton mouseButton = getMouseButton(parameterMap);
        ModifyKey modifyKey = getModifyKey(parameterMap);

        RobotUtilities.mouseRelease(mouseButton, modifyKey);
    }


    @Override
    public String getRegistrationName() {

        return "MouseRelease";
    }


    @Override
    public String getRegistrationURL() {

        return "/MouseRelease";
    }

}
