package com.yscjp.webtools.robot.servlet;

import java.util.Map;

import com.yscjp.webtools.robot.RobotUtilities;


public class MouseWheelServlet extends RobotServletBase {

    private static final long serialVersionUID = 1L;


    /**
     * Wheel=n
     */
    @Override
    protected void doExecute(Map<String, String> parameterMap) {

        int wheel = getParameterInt(parameterMap, "Wheel");

        RobotUtilities.mouseWheel(wheel);
    }


    @Override
    public String getRegistrationName() {

        return "MouseWheel";
    }


    @Override
    public String getRegistrationURL() {

        return "/MouseWheel";
    }

}
