function viewToolchip(targetWindow) {
    var inputs = targetWindow.document.getElementsByTagName("INPUT");
    for (var i = 0; i < inputs.length; i++) {
        var input = inputs[i];
        if ("password" == input.type) {
            if (navigator.appVersion.match(/MSIE 6.0/) ||
                navigator.appVersion.match(/MSIE 7.0/)) {
                toolchip_ie6(input);
            } else {
                toolchip(input);
            }
        }
    }
}

function viewFocusElement(targetWindow) {
    if (targetWindow.document.activeElement) {
        if (navigator.appVersion.match(/MSIE 6.0/) ||
            navigator.appVersion.match(/MSIE 7.0/)) {
            toolchip_ie6(targetWindow.document.activeElement, "ここにフォーカス", "#efcfcf");
        } else {
            toolchip(targetWindow.document.activeElement, "ここにフォーカス", "#efcfcf");
        }
    }
}

function clearToolchip(targetWindow) {
    var toolchips = targetWindow.document.getElementsByTagName("div");
    if (!toolchips) {
        return;
    }
    for (var i = 0; i < toolchips.length; i++) {
        var toolchip = toolchips[i];
        if ("Toolchip" == toolchip.className) {
            toolchip.parentNode.removeChild(toolchip);
        }
    }
}

function toolchip_ie6(element, __text__, __bkColor__) {

    var JSHtmlUtil = com.yscjp.jsapp.util.JSHtmlUtil;

    var bkColor = "#afdfdf";
    if ("undefined" != typeof __bkColor__) {
        bkColor = __bkColor__;
    }
    var text = element.value;
    if ("undefined" != typeof __text__) {
        text = __text__;
    }
    var targetDocument = element.ownerDocument;
    var offsetLeft = JSHtmlUtil.getLeftPixel(element);
    var offsetTop = JSHtmlUtil.getTopPixel(element);
    var offsetWidth = element.offsetWidth;
    var offsetHeight = element.offsetHeight;
    var toolchipElement = targetDocument.createElement("div");
    toolchipElement.style.position = "absolute";
    toolchipElement.style.width = "20em";
    var arrowElement = targetDocument.createElement("div");
    arrowElement.style.position = "absolute";
    arrowElement.style.marginTop = "-0.5em";
    arrowElement.style.borderLeft = "2em solid white";
    arrowElement.style.borderBottom = "0.5em solid " + bkColor;
    toolchipElement.appendChild(arrowElement);
    var textElement = targetDocument.createElement("div");
    textElement.style.position = "absolute";
    textElement.style.left = "2em";
    textElement.style.padding = "0.25em 0.5em";
    //textElement.style.color = "white";
    textElement.style.backgroundColor = bkColor;
    textElement = toolchipElement.appendChild(textElement);
    textElement.innerHTML = text;
    toolchipElement = targetDocument.body.appendChild(toolchipElement);
    //var toolchipHeight = toolchipElement.offsetHeight;
    toolchipElement.style.left = (offsetLeft + offsetWidth) + "px";
    toolchipElement.style.top = ((offsetTop + offsetHeight / 2) - 20) + "px";
    toolchipElement.className = "Toolchip";
}

function toolchip(element, __text__, __bkColor__) {

    var JSHtmlUtil = com.yscjp.jsapp.util.JSHtmlUtil;

    var bkColor = "#afdfdf";
    if ("undefined" != typeof __bkColor__) {
        bkColor = __bkColor__;
    }
    var text = element.value;
    if ("undefined" != typeof __text__) {
        text = __text__;
    }
    var targetDocument = element.ownerDocument;
    var offsetLeft = JSHtmlUtil.getLeftPixel(element);
    var offsetTop = JSHtmlUtil.getTopPixel(element);
    var offsetWidth = element.offsetWidth;
    var offsetHeight = element.offsetHeight;
    var toolchipElement = targetDocument.createElement("div");
    toolchipElement.style.position = "absolute";
    toolchipElement.style.width = "20em";
    var arrowElement = targetDocument.createElement("div");
    arrowElement.style.position = "absolute";
    arrowElement.style.marginTop = "1em";
    arrowElement.style.borderTop = "0.5em solid transparent";
    arrowElement.style.borderRight = "2em solid " + bkColor;
    toolchipElement.appendChild(arrowElement);
    var textElement = targetDocument.createElement("div");
    textElement.style.position = "absolute";
    textElement.style.left = "2em";
    textElement.style.padding = "0.25em 0.5em";
    //textElement.style.color = "white";
    textElement.style.backgroundColor = bkColor;
    textElement = toolchipElement.appendChild(textElement);
    textElement.innerHTML = text;
    toolchipElement = targetDocument.body.appendChild(toolchipElement);
    //var toolchipHeight = toolchipElement.offsetHeight;
    toolchipElement.style.left = (offsetLeft + offsetWidth) + "px";
    toolchipElement.style.top = ((offsetTop + offsetHeight / 2) - (20)) + "px";
    toolchipElement.className = "Toolchip";
}

